## groovy.util
Class ObservableList.ElementRemovedEvent

    java.lang.Object
      java.util.EventObject
          java.beans.PropertyChangeEvent
              groovy.util.ObservableList.ElementEvent
                  groovy.util.ObservableList.ElementRemovedEvent

All Implemented Interfaces:
  Serializable

Enclosing class:
  ObservableList

    public static class ObservableList.ElementRemovedEvent

extends ObservableList.ElementEvent

See Also:
  Serialized Form

Field Summary

Fields inherited from class groovy.util.ObservableList.ElementEvent
`ADDED, CLEARED, MULTI_ADD, MULTI_REMOVE, NEWVALUE, OLDVALUE, REMOVED, UPDATED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ObservableList.ElementRemovedEvent(Object source, Object newValue, int index)`

Method Summary

Methods inherited from class groovy.util.ObservableList.ElementEvent
`getIndex, getType, getTypeAsString`

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObservableList.ElementRemovedEvent

    public ObservableList.ElementRemovedEvent(Object source,
                                              Object newValue,
                                              int index)

Copyright © 2003-2009 The Codehaus. All rights reserved.